Skip to main content

Fetch assessment by ID

It returns information about a specific assessment.

Deprecated Endpoint

The /envscales endpoint is deprecated. Please use /observation-data for all new integrations. The old endpoint will continue to work but may be removed in future versions.

Current API

Base URL: https://api.teachstone.com/observation-data

Headers: Authorization: Bearer <token>

GET /v1/assessments/:id
Status: 200 OK
Content-Type: application/json

{
"id": 290,
"observer_external_id": null,
"observer_guid": "00ufqirpfxPYegIur2p7",
"age_level": "Pre-K",
"classroom_id": "9ea0d316-c9ba-4bf9-ad55-1f25b7e3ebc8",
"classroom_guid": "9ea0d316-c9ba-4bf9-ad55-1f25b7e3ebc8",
"classroom_external_id": "181",
"center_guid": "18157a0d-5d15-4a4c-a3a2-5b0fc416cb15",
"taken_at": "2022-09-01",
"local_time_zone": "America/New_York",
"cycle_ids": [
461,
462
],
"template": "class_1st",
"status": "completed",
"includes_environments": false,
"created_at": "2022-09-01T18:02:01.961Z",
"updated_at": "2022-09-02T14:07:44.269Z",
"observer": "Farias, Emanuel",
"classroom": "classroom 181"
}

Field Types

fieldtypenote
idinteger
observer_external_idnull | stringPartners can use this field to track the observer
observer_guidstring
age_levelstringsee options available
classroom_external_idstring
taken_atstringformat: yyyy-MM-dd
local_time_zonestring
cycle_idsList of integersUseful for fetching cyle details info
templatestringsee options available
statusstringsee options available
includes_environmentsboolean
created_atstringformat: yyyy-MM-dd'T'HH:mm:ss.SSS'Z'
updated_atstringformat: yyyy-MM-dd'T'HH:mm:ss.SSS'Z'
observerstringObserver's name
classroomstringClassroom's name

template

template
class_1st
class_2nd

age_level

API returns abbreviation

AbbreviationAge Levels
Pre-KPre-K
InfInfant
ToddToddler
PK-3rdPK-3rd

status

status
open
awaiting_approval
completed